package com.wms.constants.enums;

/**
 * 载具状态
 */
public enum VehicleStatus {
    IN(1, "入库中"),
    ON(2, "在库中"),
    OUT(3, "出库中"),
    MOVE(4, "移库中"),
    EXCEPTION(99, "异常");

    private final Integer code;

    private final String value;

    VehicleStatus(Integer code, String value) {
        this.code = code;
        this.value = value;
    }

    public Integer getCode() {
        return code;
    }

    public String getValue() {
        return value;
    }
}
